HtmlColumn (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.component.html.HtmlColumn class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlColumn

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIColumn
                  org.richfaces.component.UIColumn
                      org.richfaces.component.html.HtmlColumn

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.richfaces.component.Column

    public class HtmlColumn

extends UIColumn

Component-Type org.richfaces.Column Component-Family org.richfaces.Column Renderer-Type org.richfaces.ColumnRenderer

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Constructor Summary
`HtmlColumn()` Constructor to init default renderers

Method Summary
`int` | `getColspan()` Corresponds to the HTML colspan attribute Getter for colspan
`java.lang.String` | `getDir()` Direction indication for text that does not inherit directionality.
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFooterClass()` Space-separated list of CSS style class(es) that are be applied to any footer generated for this table Getter for footerClass
`java.lang.String` | `getHeaderClass()` Space-separated list of CSS style class(es) that are be applied to any header generated for this table Getter for headerClass
`java.lang.String` | `getLang()` Code describing the language used in the generated markup for this component Getter for lang
`int` | `getRowspan()` Corresponds to the HTML rowspan attribute Getter for rowspan
`java.lang.String` | `getSortExpression()` Attribute defines a bean property which is used for sorting of a column Getter for sortExpression
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`java.lang.String` | `getTitle()` Advisory title information about markup elements generated for this component Getter for title
`java.lang.String` | `getWidth()` Attribute defines width of column.
`boolean` | `isBreakBefore()` if "true" next column begins from the first row Getter for breakBefore
`boolean` | `isSortable()` Boolean attribute.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setBreakBefore(boolean __breakBefore)` if "true" next column begins from the first row Setter for breakBefore
`void` | `setColspan(int __colspan)` Corresponds to the HTML colspan attribute Setter for colspan
`void` | `setDir(java.lang.String __dir)` Direction indication for text that does not inherit directionality.
`void` | `setFooterClass(java.lang.String __footerClass)` Space-separated list of CSS style class(es) that are be applied to any footer generated for this table Setter for footerClass
`void` | `setHeaderClass(java.lang.String __headerClass)` Space-separated list of CSS style class(es) that are be applied to any header generated for this table Setter for headerClass
`void` | `setLang(java.lang.String __lang)` Code describing the language used in the generated markup for this component Setter for lang
`void` | `setRowspan(int __rowspan)` Corresponds to the HTML rowspan attribute Setter for rowspan
`void` | `setSortable(boolean __sortable)` Boolean attribute.
`void` | `setSortExpression(java.lang.String __sortExpression)` Attribute defines a bean property which is used for sorting of a column Setter for sortExpression
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setTitle(java.lang.String __title)` Advisory title information about markup elements generated for this component Setter for title
`void` | `setWidth(java.lang.String __width)` Attribute defines width of column.

Methods inherited from class javax.faces.component.UIColumn
`getFooter, getHeader, setFooter, setHeader`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlColumn

    public HtmlColumn()

  Constructor to init default renderers

Method Detail

### setWidth

    public void setWidth(java.lang.String __width)

  Attribute defines width of column. Default value is "100px". Setter for width

  Parameters:
    `width` - - new value

### getWidth

    public java.lang.String getWidth()

  Attribute defines width of column. Default value is "100px". Getter for width

  Returns:
    width value from local variable or value bindings

### setLang

    public void setLang(java.lang.String __lang)

  Code describing the language used in the generated markup for this component Setter for lang

  Parameters:
    `lang` - - new value

### getLang

    public java.lang.String getLang()

  Code describing the language used in the generated markup for this component Getter for lang

  Returns:
    lang value from local variable or value bindings

### setTitle

    public void setTitle(java.lang.String __title)

  Advisory title information about markup elements generated for this component Setter for title

  Parameters:
    `title` - - new value

### getTitle

    public java.lang.String getTitle()

  Advisory title information about markup elements generated for this component Getter for title

  Returns:
    title value from local variable or value bindings

### setColspan

    public void setColspan(int __colspan)

  Corresponds to the HTML colspan attribute Setter for colspan

  Parameters:
    `colspan` - - new value

### getColspan

    public int getColspan()

  Corresponds to the HTML colspan attribute Getter for colspan

  Returns:
    colspan value from local variable or value bindings

### setHeaderClass

    public void setHeaderClass(java.lang.String __headerClass)

  Space-separated list of CSS style class(es) that are be applied to any header generated for this table Setter for headerClass

  Parameters:
    `headerClass` - - new value

### getHeaderClass

    public java.lang.String getHeaderClass()

  Space-separated list of CSS style class(es) that are be applied to any header generated for this table Getter for headerClass

  Returns:
    headerClass value from local variable or value bindings

### setFooterClass

    public void setFooterClass(java.lang.String __footerClass)

  Space-separated list of CSS style class(es) that are be applied to any footer generated for this table Setter for footerClass

  Parameters:
    `footerClass` - - new value

### getFooterClass

    public java.lang.String getFooterClass()

  Space-separated list of CSS style class(es) that are be applied to any footer generated for this table Getter for footerClass

  Returns:
    footerClass value from local variable or value bindings

### setDir

    public void setDir(java.lang.String __dir)

  Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left) Setter for dir

  Parameters:
    `dir` - - new value

### getDir

    public java.lang.String getDir()

  Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left) Getter for dir

  Returns:
    dir value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setBreakBefore

    public void setBreakBefore(boolean __breakBefore)

  if "true" next column begins from the first row Setter for breakBefore

  Parameters:
    `breakBefore` - - new value

### isBreakBefore

    public boolean isBreakBefore()

  if "true" next column begins from the first row Getter for breakBefore

  Returns:
    breakBefore value from local variable or value bindings

### setSortExpression

    public void setSortExpression(java.lang.String __sortExpression)

  Attribute defines a bean property which is used for sorting of a column Setter for sortExpression

  Parameters:
    `sortExpression` - - new value

### getSortExpression

    public java.lang.String getSortExpression()

  Attribute defines a bean property which is used for sorting of a column Getter for sortExpression

  Returns:
    sortExpression value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### setSortable

    public void setSortable(boolean __sortable)

  Boolean attribute. If "true" it's possible to sort the column content after click on the header. Default value is "true" Setter for sortable

  Parameters:
    `sortable` - - new value

### isSortable

    public boolean isSortable()

  Boolean attribute. If "true" it's possible to sort the column content after click on the header. Default value is "true" Getter for sortable

  Returns:
    sortable value from local variable or value bindings

### setRowspan

    public void setRowspan(int __rowspan)

  Corresponds to the HTML rowspan attribute Setter for rowspan

  Parameters:
    `rowspan` - - new value

### getRowspan

    public int getRowspan()

  Corresponds to the HTML rowspan attribute Getter for rowspan

  Returns:
    rowspan value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIColumn`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.